Get workflow trigger by ID

Fetches a single workflow trigger by resource ID. Requires the WORKFLOW_TRIGGER.VIEW permission.

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version
resourceIdstringRequiredDefaults to
The ID of the resource to be requested.

Headers

x-platform-idstringOptional
Platform ID.

Response

OK
workflow_idstring
Workflow executed by this trigger.
typeenum
Source of the trigger execution, such as a manual request or a system event.
Allowed values:
object_typestring or nullRead-only
idstring or nullRead-only
customer_idstring or null
Customer scope associated with the trigger execution.
invoiceobject
Invoice trigger details for executions that run on an invoice.
paymentobject
Payment trigger details for executions that run on a payment.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error